<?php
	/**
	 * @package     Joomla.Administrator
	 * @subpackage  com_formea
	 *
	 * @copyright   Copyright (C) 2010-2024 Feseur Sdn Bhd. All rights reserved.
	 * @license     GNU General Public License version 2 or later; see LICENSE.txt
	 * @version     1.1.6
	 */

	namespace Joomla\Component\Formea\Administrator\Controller;

	defined('_JEXEC') or die;

	use Exception;
	use Joomla\CMS\MVC\Controller\BaseController;

	/**
	 * Formea master display controller.
	 *
	 * @since  1.0.0
	 */
	class DisplayController extends BaseController
	{
		/**
		 * The default view.
		 *
		 * @var    string
		 * @since  1.0.0
		 */
		protected $default_view = 'formeas';

		/**
		 * Method to display a view.
		 *
		 * @param   boolean  $cachable   If true, the view output will be cached
		 * @param   array    $urlparams  An array of safe URL parameters and their variable types, for valid values see {@link \JFilterInput::clean()}.
		 *
		 * @return  BaseController|bool  This object to support chaining.
		 *
		 * @throws  Exception
		 * @since   1.0.0
		 *
		 */
		public function display($cachable = false, $urlparams = array())
		{
			return parent::display();
		}
	}
