<?php
	/**
	 * @package     Joomla.Administrator
	 * @subpackage  com_formea
	 *
	 * @copyright   Copyright (C) 2010-2024 Feseur Sdn Bhd. All rights reserved.
	 * @license     GNU General Public License version 2 or later; see LICENSE.txt
	 * @version     1.1.6
	 */

	namespace Joomla\Component\Formea\Administrator\Controller;

	defined('_JEXEC') or die;

	use Joomla\CMS\MVC\Controller\AdminController;
	use Joomla\CMS\MVC\Model\BaseDatabaseModel;

	/**
	 * Formea list controller class.
	 *
	 * @since  1.0.0
	 */
	class ElementsController extends AdminController
	{
		/**
		 * The prefix to use with controller messages.
		 *
		 * @var    string
		 * @since  1.0.0
		 */
		protected $text_prefix = 'COM_FORMEA_ELEMENTS';


		/**
		 * Proxy for getModel.
		 *
		 * @param   string  $name    The name of the model.
		 * @param   string  $prefix  The prefix for the PHP class name.
		 * @param   array   $config  Array of configuration parameters.
		 *
		 * @return  BaseDatabaseModel
		 *
		 * @since   1.0.0
		 */
		public function getModel($name = 'Element', $prefix = 'Administrator', $config = ['ignore_request' => true])
		{
			return parent::getModel($name, $prefix, $config);
		}
	}
