<?php
	/**
	 * @package     Joomla.Administrator
	 * @subpackage  com_formea
	 *
	 * @copyright   Copyright (C) 2010-2024 Feseur Sdn Bhd. All rights reserved.
	 * @license     GNU General Public License version 2 or later; see LICENSE.txt
	 */

	namespace Joomla\Component\Formea\Administrator\Field;

	use Joomla\CMS\Form\Field\PredefinedlistField;

	class FormeaStatusField extends PredefinedlistField
	{
		/**
		 * The form field type.
		 *
		 * @var    string
		 * @since  3.2
		 */
		public $type = 'formeaStatus';

		/**
		 * Available statuses
		 *
		 * @var  array
		 * @since  3.2
		 */
		protected $predefinedOptions = [
			-2  => 'JTRASHED',
			0   => 'JUNPUBLISHED',
			1   => 'JPUBLISHED',
			'*' => 'JALL',
		];
	}
