<?php
	/**
	 * @package     Joomla.Administrator
	 * @subpackage  com_formea
	 *
	 * @copyright   Copyright (C) 2010-2024 Feseur Sdn Bhd. All rights reserved.
	 * @license     GNU General Public License version 2 or later; see LICENSE.txt
	 * @version     1.1.6
	 */
	defined('_JEXEC') or die;

	use Joomla\CMS\HTML\HTMLHelper;
	use Joomla\CMS\Language\Text;
	use Joomla\Component\Formea\Administrator\View\Formea\HtmlView;

	/** @var HtmlView $this */
	$totalLang = count($this->languageLists);
	$lTag      = str_replace('-', '_', $this->lang_tag);
	$style_id  = 0;
	$theme_id  = 0;
	if (isset($this->item->themes->style_id))
	{
		$style_id = $this->item->themes->style_id;
	}
	if (isset($this->item->themes->theme_id))
	{
		$theme_id = $this->item->themes->theme_id;
	}
?>
<div class="row">
   <div class="col-md-12">
	   <?php echo $this->form->renderField('theme_id', 'themes'); ?>
	   <?php echo $this->form->renderField('style_id', 'themes'); ?>
	   <?php echo $this->form->renderField('load_css', 'themes'); ?>
	   <?php echo $this->form->renderField('load_js', 'themes'); ?>
   </div>
</div>
<input type="hidden" id="static_style_id" value="<?php echo $style_id; ?>">
<input type="hidden" id="static_theme_id" value="<?php echo $theme_id; ?>">




