<?php
	/**
	 * @package         Joomla.Administrator
	 * @subpackage      com_formea
	 *
	 * @copyright   (C) 2021 Open Source Matters, Inc. <https://www.joomla.org>
	 * @license         GNU General Public License version 2 or later; see LICENSE.txt
	 */

	defined('_JEXEC') or die;

	use Joomla\CMS\Factory;
	use Joomla\CMS\Layout\LayoutHelper;
	use Joomla\Component\Formea\Administrator\Helper\FormeaHelper;

	$displayData = [
		'textPrefix' => 'COM_FORMEA_FORMEAS',
		'formURL'    => 'index.php?option=com_formea&view=formeas',
		'helpURL'    => FormeaHelper::getHelpLink('Formeas'),
		'icon'       => 'icon-formea-block',
	];

	$user = Factory::getApplication()->getIdentity();

	if ($user->authorise('core.create', 'com_formea') || count($user->getAuthorisedCategories('com_formea', 'core.create')) > 0)
	{
		$displayData['createURL'] = 'index.php?option=com_formea&task=formea.add';
	}

	echo LayoutHelper::render('joomla.content.emptystate', $displayData);
