<?php

	/**
	 * @package     Joomla.Administrator
	 * @subpackage  com_formea
	 *
	 * @copyright   Copyright (C) 2010-2024 Feseur Sdn Bhd. All rights reserved.
	 * @license     GNU General Public License version 2 or later; see LICENSE.txt
	 * @version     1.1.6
	 */

	defined('_JEXEC') or die;

	use Joomla\CMS\Factory;
	use Joomla\CMS\HTML\HTMLHelper;
	use Joomla\CMS\Language\Text;
	use Joomla\CMS\Layout\LayoutHelper;
	use Joomla\Component\Formea\Administrator\Helper\FormeaHelper;

	$displayData = [
		'textPrefix' => 'COM_FORMEA_THEMES',
		'formURL'    => 'index.php?option=com_formea&view=themes',
		'helpURL'    => FormeaHelper::getHelpLink('Themes'),
		'icon'       => 'icon-palette',
		'formAppend' => HTMLHelper::_(
			'bootstrap.renderModal',
			'themeInstallModal',
			[
				'title'  => Text::_('COM_FORMEA_INSTALL_NEW_THEME'),
				'footer' => $this->loadTemplate('install_footer'),
			],
			$this->loadTemplate('install_body')
		)
	];

	$user = Factory::getApplication()->getIdentity();
	echo LayoutHelper::render('joomla.content.emptystate', $displayData);
	echo $this->loadTemplate('js');
