<?php

/**
	 * This is a forked library modified for use in Formea extension,
	 * Credit goes to original author(s) Eduardo Gulias Davis at https://github.com/egulias/EmailValidator.
	 * See LICENSE
	 *
	 * @version     1.0.0
	 * @package     Formea Email Validation
	 * @subpackage  Lexer
	 * @author      Feseur Sdn Bhd
	 * @copyright   Copyright (C) 2010-2024 Feseur Sdn Bhd. All rights reserved.
	 * @license     GNU General Public License version 2 or later; see LICENSE.txt
	 */

	namespace Egulias\EmailValidator\Parser\CommentStrategy;

	use Egulias\EmailValidator\EmailLexer;
	use Egulias\EmailValidator\Result\Result;

	interface CommentStrategy
	{
		/**
		 * Return "true" to continue, "false" to exit
		 */
		public function exitCondition(EmailLexer $lexer, int $openedParenthesis): bool;

		public function endOfLoopValidations(EmailLexer $lexer): Result;

		public function getWarnings(): array;
	}
